STRINS(3pub)

NAME
strins - insert a string at the beginning of another string

SYNOPSIS
#include <publib.h>
char *strins(char *tgt, const char *src);

DESCRIPTION
strins inserts the src string at the beginning of the tgt string. The strings must not overlap. The target string must contain enough memory to hold both strings.

RETURN VALUE
strins returns its first argument.

EXAMPLE
See the manual page for strdel(3) for an example.

SEE ALSO
publib(3), strdel(3), strnins(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)